jimthedev-bundle-buddy-webpack-plugin

    0.3.0 • Public • Published

    bundle-buddy-webpack-plugin

    npm dependencies devDependencies Status Business Strategy Status

    Your favorite bundle-buddy duplication analyzer, made as a webpack plugin.

    Installation

    Yarn

    yarn add bundle-buddy-webpack-plugin --dev

    npm

    npm install bundle-buddy-webpack-plugin --save-dev

    Usage

    Just require the plugin into your webpack configuration, and pass it to the plugins array.

    webpack.config.js

    const BundleBuddyWebpackPlugin = require("bundle-buddy-webpack-plugin");
     
    module.exports = {
      // ...
      plugins: [
        new BundleBuddyWebpackPlugin({sam: true})
      ]
     
    };

    Options

    Property Type Default Description
    warnings boolean true Show/Hide warnings. BundleBuddyWebpackPlugin will emit a warning when you do not have the devtool property set in your configuration. And will notify you that it is setting it to "source-map".

    Bugs

    If you believe there is an issue with the plugin itself, by all mean submit an issue!!! However this directly uses bundle-buddy and I would also verify that it is not an issue reported there first.

    Keywords

    none

    Install

    npm i jimthedev-bundle-buddy-webpack-plugin

    DownloadsWeekly Downloads

    2

    Version

    0.3.0

    License

    none

    Last publish

    Collaborators

    • jimthedev